> For the complete documentation index, see [llms.txt](https://docs.alphageo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphageo.ai/for-developers/alphageo-data-api/institution-assets-api.md).

# Institution Assets API

The Institution Assets API allows you to retrieve a paginated list of all assets uploaded under your institution profile.

This endpoint is particularly useful for retrieving assets' unique UUIDs (`id`), which can then be passed as the `asset_id` parameter to location-level APIs.

## Endpoint

<pre class="language-rest"><code class="lang-rest"><strong>GET https://app.alphageo.ai/api/public/v1/assets
</strong></code></pre>

## Parameters

<table><thead><tr><th>Parameters</th><th data-type="checkbox">Required</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>page</td><td>false</td><td>Integer</td><td>The page number to retrieve.</td></tr><tr><td>page_size</td><td>false</td><td>Integer</td><td>Number of assets to return per page. Allowed choices: <code>10</code>, <code>25</code>, <code>50</code>, <code>100</code>, <code>200</code>. Default: <code>25</code>.</td></tr></tbody></table>

## Example requests

#### cURL

```bash
$ curl --location 'https://app.alphageo.ai/api/public/v1/assets/?page=1&page_size=25' \
--header 'Authorization: dse3X8de878c37b2fd6835c52390303fk15fc3'
```

#### Python

```python
import requests

url = "https://app.alphageo.ai/api/public/v1/assets/?page=1&page_size=25"

payload = {}
headers = {
  'Authorization': 'dse3X8de878c37b2fd6835c52390303fk15fc3'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

## Example response

```json
{
  "count": 15,
  "next": "https://docs.alphageo.ai/api/public/v1/assets/?page=2&page_size=25",
  "previous": null,
  "results": [
    {
      "id": "e0axc2a7-0355-412d-bdx4-dssxd4ex419a",
      "asset_name": "NY Office",
      "address": "420 5th Ave.",
      "longitude": 1-73.985381,
      "latitude": 40.751835,
      "portfolio_name": "Sample Portfolio",
      "tier_2_name": "North America",
      "tier_3_name": "",
      "tier_4_name": "",
      "city": "New York",
      "state": "New York",
      "zip_code": "10018",
      "country": "USA",
      "asset_type": "Office",
      "valuation": null,
      "year_valuation": null,
      "tags": []
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.alphageo.ai/for-developers/alphageo-data-api/institution-assets-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
